package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxInstrumentTag;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 仪器标签关联Mapper接口
 *
 * @author flossom
 * @date 2024-01-24
 */
public interface WxInstrumentTagMapper {
    /**
     * 查询仪器标签关联
     *
     * @param id 仪器标签关联主键
     * @return 仪器标签关联
     */
    public WxInstrumentTag selectWxInstrumentTagById(Long id);

    /**
     * 查询仪器标签关联列表
     *
     * @param wxInstrumentTag 仪器标签关联
     * @return 仪器标签关联集合
     */
    public List<WxInstrumentTag> selectWxInstrumentTagList(WxInstrumentTag wxInstrumentTag);

    /**
     * 新增仪器标签关联
     *
     * @param wxInstrumentTag 仪器标签关联
     * @return 结果
     */
    public int insertWxInstrumentTag(WxInstrumentTag wxInstrumentTag);

    /**
     * 修改仪器标签关联
     *
     * @param wxInstrumentTag 仪器标签关联
     * @return 结果
     */
    public int updateWxInstrumentTag(WxInstrumentTag wxInstrumentTag);

    /**
     * 删除仪器标签关联
     *
     * @param id 仪器标签关联主键
     * @return 结果
     */
    public int deleteWxInstrumentTagById(Long id);

    /**
     * 批量删除仪器标签关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxInstrumentTagByIds(Long[] ids);

    public int deleteByInstrumentIdAndType(@Param("instrumentId") Long instrumentId, @Param("type") Integer type);
}
